**********
Exceptions
**********

.. automodule:: networkx.exception
.. currentmodule:: networkx

.. autoclass:: networkx.NetworkXException

.. autoclass:: networkx.NetworkXError

.. autoclass:: networkx.NetworkXPointlessConcept

.. autoclass:: networkx.NetworkXAlgorithmError

.. autoclass:: networkx.NetworkXUnfeasible

.. autoclass:: networkx.NetworkXNoPath

.. autoclass:: networkx.NetworkXUnbounded


